<ion-header>
  <ion-toolbar>
    <ion-title>login</ion-title>
  </ion-toolbar>
</ion-header>

<ion-content padding>
  
  <form [formGroup]="loginForm">
    <ion-item> <!-- Email -->
      <ion-label stacked>Email</ion-label>
      <ion-input formControlName="email" type="email" placeholder="Your email address"
        [class.invalid]="!loginForm.controls['email'].valid && loginForm.controls['email'].touched">
      </ion-input>
    </ion-item>

    <ion-item class="error-message" *ngIf="!loginForm.controls['email'].valid && loginForm.controls['email'].touched">
      <ion-label>Please enter a valid email address.</ion-label>
    </ion-item>

    
    <ion-item> <!-- Password -->
      <ion-label stacked>Password</ion-label>
      <ion-input formControlName="password" type="password" placeholder="Your password"
        [class.invalid]="!loginForm.controls['password'].valid && loginForm.controls['password'].touched">
      </ion-input>
    </ion-item>

    <ion-item class="error-message" *ngIf="!loginForm.controls['password'].valid && loginForm.controls['password'].touched">
      <ion-label>Your password needs more than 6 characters.</ion-label>
    </ion-item>

    <!-- Submit Button -->
    <ion-button (click)="loginUser(loginForm)" expand="block" [disabled]="!loginForm.valid">
      Log In
    </ion-button>
  </form>


  <!-- Create new account -->
  <ion-button expand="block" fill="clear" routerLink="/signup">
    Create a new account
  </ion-button>

  <!-- Reset password -->
  <ion-button expand="block" fill="clear" routerLink="/reset-password">
    I forgot my password :(
  </ion-button>
  
</ion-content>
